#line 1 "C:/Users/micha/OneDrive/Haventechnik Share/Haventechnik Projects/Mikroe Projects/1B - 2018 Projects/MQ Library/MQLibrary.c"
#line 1 "c:/users/micha/onedrive/haventechnik share/haventechnik projects/mikroe projects/1b - 2018 projects/mq library/mqsensor_functions.h"


unsigned int MQ_Analog(unsigned short Channel);
double _calcAirQualityPPM(unsigned int adc_rd,const double Vadc);
double _calcCOPPM(unsigned int adc_rd, const double Vadc);
double _calcLPGPPM(unsigned int adc_rd, const double Vadc);
double _calcAlcoholPPM(unsigned int adc_rd, const double Vadc);
#line 44 "C:/Users/micha/OneDrive/Haventechnik Share/Haventechnik Projects/Mikroe Projects/1B - 2018 Projects/MQ Library/MQLibrary.c"
sbit LCD_RS at LATB4_bit;
sbit LCD_EN at LATB5_bit;
sbit LCD_D4 at LATB0_bit;
sbit LCD_D5 at LATB1_bit;
sbit LCD_D6 at LATB2_bit;
sbit LCD_D7 at LATB3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;


const double Rl = 5000.0;
const double Vadc_5 = 0.0048828125;
const double Vadc_33 = 0.0032226562;
double Vrl;
double Rs;
double ppm;
double ratio;
char uart_rd;
bit bounce;

unsigned int adc_rd;
unsigned short ADC_Chan,MQSelect;
char txt[16];
char MQ0[] = "AirQuality click";
char MQ1[] = "CO Click";
char MQ2[] = "LPG Click";
char MQ3[] = "Alcohol Click";


void calculatePPM(unsigned short MQSens) {


 switch(MQSens){

 case 0: ppm = _calcAirQualityPPM(adc_rd, Vadc_5);break;
 case 1: ppm = _calcCOPPM(adc_rd, Vadc_5);break;
 case 2: ppm = _calcLPGPPM(adc_rd, Vadc_5);break;
 case 3: ppm = _calcAlcoholPPM(adc_rd, Vadc_5);break;

 }
}


void readSensor(unsigned short ADC_Chan){

 adc_rd = MQ_Analog(ADC_Chan);
 Delay_ms(10);
}

void LCDDisplay(char Wording[]){

 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Out(1,1,Wording);
 Lcd_Out(2,14,"ppm");
}

void main() {
 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 Lcd_Out(1,1,MQ0);

 ANSELA = 0x04;
 TRISA = 0x04;
 ANSELC = 0;
 LATA = 0;
 ADC_Init();
 Delay_ms(100);

 UART1_Init(9600);
 Delay_ms(100);


 ADC_Chan = 2;
 MQSelect = 0;
 Lcd_Out(2,14,"ppm");
 Lcd_Out(2,1,txt);

 while(1) {

 Delay_ms(500);
 readSensor(ADC_Chan);
 calculatePPM(MQSelect);
 FloatToStr(ppm,&txt);
 Lcd_Out(2,1,"             ");
 Lcd_Out(2,1,txt);
#line 141 "C:/Users/micha/OneDrive/Haventechnik Share/Haventechnik Projects/Mikroe Projects/1B - 2018 Projects/MQ Library/MQLibrary.c"
 if (UART1_Data_Ready()) {

 uart_rd = UART1_Read();
 UART1_Write(uart_rd);

 switch (uart_rd){

 case '0': MQSelect = 0;LCDDisplay(MQ0);break;
 case '1': MQSelect = 1;LCDDisplay(MQ1);break;
 case '2': MQSelect = 2;LCDDisplay(MQ2);break;
 case '3': MQSelect = 3;LCDDisplay(MQ3);break;

 }
 }
 }
}
