
_MQ_Analog:

;MQSensor_Functions.c,14 :: 		unsigned int MQ_Analog(unsigned short Channel){
;MQSensor_Functions.c,18 :: 		return ADCVAL = ADC_Read(Channel);
	MOVF        FARG_MQ_Analog_Channel+0, 0 
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
;MQSensor_Functions.c,19 :: 		}
L_end_MQ_Analog:
	RETURN      0
; end of _MQ_Analog

__calcAirQualityPPM:

;MQSensor_Functions.c,21 :: 		double _calcAirQualityPPM(unsigned int adc_rd, const double Vadc){
;MQSensor_Functions.c,25 :: 		_Vrl = (double)adc_rd * Vadc;                // For 5V Vcc use Vadc_5  and  for 3V Vcc use Vadc_33
	MOVF        FARG__calcAirQualityPPM_adc_rd+0, 0 
	MOVWF       R0 
	MOVF        FARG__calcAirQualityPPM_adc_rd+1, 0 
	MOVWF       R1 
	CALL        _word2double+0, 0
	MOVF        FARG__calcAirQualityPPM_Vadc+0, 0 
	MOVWF       R4 
	MOVF        FARG__calcAirQualityPPM_Vadc+1, 0 
	MOVWF       R5 
	MOVF        FARG__calcAirQualityPPM_Vadc+2, 0 
	MOVWF       R6 
	MOVF        FARG__calcAirQualityPPM_Vadc+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC___calcAirQualityPPM+0 
	MOVF        R1, 0 
	MOVWF       FLOC___calcAirQualityPPM+1 
	MOVF        R2, 0 
	MOVWF       FLOC___calcAirQualityPPM+2 
	MOVF        R3, 0 
	MOVWF       FLOC___calcAirQualityPPM+3 
	MOVF        FLOC___calcAirQualityPPM+0, 0 
	MOVWF       __Vrl+0 
	MOVF        FLOC___calcAirQualityPPM+1, 0 
	MOVWF       __Vrl+1 
	MOVF        FLOC___calcAirQualityPPM+2, 0 
	MOVWF       __Vrl+2 
	MOVF        FLOC___calcAirQualityPPM+3, 0 
	MOVWF       __Vrl+3 
;MQSensor_Functions.c,26 :: 		_Rs = _Rl * (5 - _Vrl)/_Vrl;                 // Calculate sensor resistance
	MOVF        FLOC___calcAirQualityPPM+0, 0 
	MOVWF       R4 
	MOVF        FLOC___calcAirQualityPPM+1, 0 
	MOVWF       R5 
	MOVF        FLOC___calcAirQualityPPM+2, 0 
	MOVWF       R6 
	MOVF        FLOC___calcAirQualityPPM+3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       32
	MOVWF       R2 
	MOVLW       129
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       64
	MOVWF       R5 
	MOVLW       28
	MOVWF       R6 
	MOVLW       139
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        FLOC___calcAirQualityPPM+0, 0 
	MOVWF       R4 
	MOVF        FLOC___calcAirQualityPPM+1, 0 
	MOVWF       R5 
	MOVF        FLOC___calcAirQualityPPM+2, 0 
	MOVWF       R6 
	MOVF        FLOC___calcAirQualityPPM+3, 0 
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       __Rs+0 
	MOVF        R1, 0 
	MOVWF       __Rs+1 
	MOVF        R2, 0 
	MOVWF       __Rs+2 
	MOVF        R3, 0 
	MOVWF       __Rs+3 
;MQSensor_Functions.c,27 :: 		_ratio = _Rs/_Rl;                            // Calculate ratio
	MOVLW       0
	MOVWF       R4 
	MOVLW       64
	MOVWF       R5 
	MOVLW       28
	MOVWF       R6 
	MOVLW       139
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       __ratio+0 
	MOVF        R1, 0 
	MOVWF       __ratio+1 
	MOVF        R2, 0 
	MOVWF       __ratio+2 
	MOVF        R3, 0 
	MOVWF       __ratio+3 
;MQSensor_Functions.c,28 :: 		lgPPM = (log10(_ratio) * -0.8)+ 0.9;         // Calculate ppm
	MOVF        R0, 0 
	MOVWF       FARG_log10_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_log10_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_log10_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_log10_x+3 
	CALL        _log10+0, 0
	MOVLW       205
	MOVWF       R4 
	MOVLW       204
	MOVWF       R5 
	MOVLW       204
	MOVWF       R6 
	MOVLW       126
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       102
	MOVWF       R4 
	MOVLW       102
	MOVWF       R5 
	MOVLW       102
	MOVWF       R6 
	MOVLW       126
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
;MQSensor_Functions.c,30 :: 		return _ppm = pow(10,lgPPM);                 // Calculate ppm
	MOVLW       0
	MOVWF       FARG_pow_x+0 
	MOVLW       0
	MOVWF       FARG_pow_x+1 
	MOVLW       32
	MOVWF       FARG_pow_x+2 
	MOVLW       130
	MOVWF       FARG_pow_x+3 
	MOVF        R0, 0 
	MOVWF       FARG_pow_y+0 
	MOVF        R1, 0 
	MOVWF       FARG_pow_y+1 
	MOVF        R2, 0 
	MOVWF       FARG_pow_y+2 
	MOVF        R3, 0 
	MOVWF       FARG_pow_y+3 
	CALL        _pow+0, 0
	MOVF        R0, 0 
	MOVWF       __ppm+0 
	MOVF        R1, 0 
	MOVWF       __ppm+1 
	MOVF        R2, 0 
	MOVWF       __ppm+2 
	MOVF        R3, 0 
	MOVWF       __ppm+3 
;MQSensor_Functions.c,31 :: 		}
L_end__calcAirQualityPPM:
	RETURN      0
; end of __calcAirQualityPPM

__calcCOPPM:

;MQSensor_Functions.c,33 :: 		double _calcCOPPM(unsigned int adc_rd, const double Vadc){
;MQSensor_Functions.c,37 :: 		_Vrl = (double)adc_rd * Vadc;
	MOVF        FARG__calcCOPPM_adc_rd+0, 0 
	MOVWF       R0 
	MOVF        FARG__calcCOPPM_adc_rd+1, 0 
	MOVWF       R1 
	CALL        _word2double+0, 0
	MOVF        FARG__calcCOPPM_Vadc+0, 0 
	MOVWF       R4 
	MOVF        FARG__calcCOPPM_Vadc+1, 0 
	MOVWF       R5 
	MOVF        FARG__calcCOPPM_Vadc+2, 0 
	MOVWF       R6 
	MOVF        FARG__calcCOPPM_Vadc+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC___calcCOPPM+0 
	MOVF        R1, 0 
	MOVWF       FLOC___calcCOPPM+1 
	MOVF        R2, 0 
	MOVWF       FLOC___calcCOPPM+2 
	MOVF        R3, 0 
	MOVWF       FLOC___calcCOPPM+3 
	MOVF        FLOC___calcCOPPM+0, 0 
	MOVWF       __Vrl+0 
	MOVF        FLOC___calcCOPPM+1, 0 
	MOVWF       __Vrl+1 
	MOVF        FLOC___calcCOPPM+2, 0 
	MOVWF       __Vrl+2 
	MOVF        FLOC___calcCOPPM+3, 0 
	MOVWF       __Vrl+3 
;MQSensor_Functions.c,38 :: 		_Rs = _Rl * (5 - _Vrl)/_Vrl;
	MOVF        FLOC___calcCOPPM+0, 0 
	MOVWF       R4 
	MOVF        FLOC___calcCOPPM+1, 0 
	MOVWF       R5 
	MOVF        FLOC___calcCOPPM+2, 0 
	MOVWF       R6 
	MOVF        FLOC___calcCOPPM+3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       32
	MOVWF       R2 
	MOVLW       129
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       64
	MOVWF       R5 
	MOVLW       28
	MOVWF       R6 
	MOVLW       139
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        FLOC___calcCOPPM+0, 0 
	MOVWF       R4 
	MOVF        FLOC___calcCOPPM+1, 0 
	MOVWF       R5 
	MOVF        FLOC___calcCOPPM+2, 0 
	MOVWF       R6 
	MOVF        FLOC___calcCOPPM+3, 0 
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       __Rs+0 
	MOVF        R1, 0 
	MOVWF       __Rs+1 
	MOVF        R2, 0 
	MOVWF       __Rs+2 
	MOVF        R3, 0 
	MOVWF       __Rs+3 
;MQSensor_Functions.c,39 :: 		_ratio = _Rs/_Rl;                                // Calculate ratio
	MOVLW       0
	MOVWF       R4 
	MOVLW       64
	MOVWF       R5 
	MOVLW       28
	MOVWF       R6 
	MOVLW       139
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       __ratio+0 
	MOVF        R1, 0 
	MOVWF       __ratio+1 
	MOVF        R2, 0 
	MOVWF       __ratio+2 
	MOVF        R3, 0 
	MOVWF       __ratio+3 
;MQSensor_Functions.c,40 :: 		lgPPM = (log10(_ratio) * -3.7)+ 0.9948;         // Calculate ppm
	MOVF        R0, 0 
	MOVWF       FARG_log10_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_log10_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_log10_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_log10_x+3 
	CALL        _log10+0, 0
	MOVLW       205
	MOVWF       R4 
	MOVLW       204
	MOVWF       R5 
	MOVLW       236
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       54
	MOVWF       R4 
	MOVLW       171
	MOVWF       R5 
	MOVLW       126
	MOVWF       R6 
	MOVLW       126
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
;MQSensor_Functions.c,42 :: 		return _ppm = pow(10,lgPPM);                    // Calculate ppm
	MOVLW       0
	MOVWF       FARG_pow_x+0 
	MOVLW       0
	MOVWF       FARG_pow_x+1 
	MOVLW       32
	MOVWF       FARG_pow_x+2 
	MOVLW       130
	MOVWF       FARG_pow_x+3 
	MOVF        R0, 0 
	MOVWF       FARG_pow_y+0 
	MOVF        R1, 0 
	MOVWF       FARG_pow_y+1 
	MOVF        R2, 0 
	MOVWF       FARG_pow_y+2 
	MOVF        R3, 0 
	MOVWF       FARG_pow_y+3 
	CALL        _pow+0, 0
	MOVF        R0, 0 
	MOVWF       __ppm+0 
	MOVF        R1, 0 
	MOVWF       __ppm+1 
	MOVF        R2, 0 
	MOVWF       __ppm+2 
	MOVF        R3, 0 
	MOVWF       __ppm+3 
;MQSensor_Functions.c,43 :: 		}
L_end__calcCOPPM:
	RETURN      0
; end of __calcCOPPM

__calcLPGPPM:

;MQSensor_Functions.c,45 :: 		double _calcLPGPPM(unsigned int adc_rd, const double Vadc) {
;MQSensor_Functions.c,49 :: 		_Vrl = (double)adc_rd * Vadc;             // For 5V Vcc use Vadc_5  and  for 3V Vcc use Vadc_33
	MOVF        FARG__calcLPGPPM_adc_rd+0, 0 
	MOVWF       R0 
	MOVF        FARG__calcLPGPPM_adc_rd+1, 0 
	MOVWF       R1 
	CALL        _word2double+0, 0
	MOVF        FARG__calcLPGPPM_Vadc+0, 0 
	MOVWF       R4 
	MOVF        FARG__calcLPGPPM_Vadc+1, 0 
	MOVWF       R5 
	MOVF        FARG__calcLPGPPM_Vadc+2, 0 
	MOVWF       R6 
	MOVF        FARG__calcLPGPPM_Vadc+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC___calcLPGPPM+0 
	MOVF        R1, 0 
	MOVWF       FLOC___calcLPGPPM+1 
	MOVF        R2, 0 
	MOVWF       FLOC___calcLPGPPM+2 
	MOVF        R3, 0 
	MOVWF       FLOC___calcLPGPPM+3 
	MOVF        FLOC___calcLPGPPM+0, 0 
	MOVWF       __Vrl+0 
	MOVF        FLOC___calcLPGPPM+1, 0 
	MOVWF       __Vrl+1 
	MOVF        FLOC___calcLPGPPM+2, 0 
	MOVWF       __Vrl+2 
	MOVF        FLOC___calcLPGPPM+3, 0 
	MOVWF       __Vrl+3 
;MQSensor_Functions.c,50 :: 		_Rs = _Rl * (5 - _Vrl)/_Vrl;                   // Calculate sensor resistance
	MOVF        FLOC___calcLPGPPM+0, 0 
	MOVWF       R4 
	MOVF        FLOC___calcLPGPPM+1, 0 
	MOVWF       R5 
	MOVF        FLOC___calcLPGPPM+2, 0 
	MOVWF       R6 
	MOVF        FLOC___calcLPGPPM+3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       32
	MOVWF       R2 
	MOVLW       129
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       64
	MOVWF       R5 
	MOVLW       28
	MOVWF       R6 
	MOVLW       139
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        FLOC___calcLPGPPM+0, 0 
	MOVWF       R4 
	MOVF        FLOC___calcLPGPPM+1, 0 
	MOVWF       R5 
	MOVF        FLOC___calcLPGPPM+2, 0 
	MOVWF       R6 
	MOVF        FLOC___calcLPGPPM+3, 0 
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       __Rs+0 
	MOVF        R1, 0 
	MOVWF       __Rs+1 
	MOVF        R2, 0 
	MOVWF       __Rs+2 
	MOVF        R3, 0 
	MOVWF       __Rs+3 
;MQSensor_Functions.c,51 :: 		_ratio = _Rs/_Rl;                             // Calculate ratio
	MOVLW       0
	MOVWF       R4 
	MOVLW       64
	MOVWF       R5 
	MOVLW       28
	MOVWF       R6 
	MOVLW       139
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       __ratio+0 
	MOVF        R1, 0 
	MOVWF       __ratio+1 
	MOVF        R2, 0 
	MOVWF       __ratio+2 
	MOVF        R3, 0 
	MOVWF       __ratio+3 
;MQSensor_Functions.c,52 :: 		lgPPM = (log10(_ratio) * -2.8)+ 3.2;        // Calculate ppm
	MOVF        R0, 0 
	MOVWF       FARG_log10_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_log10_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_log10_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_log10_x+3 
	CALL        _log10+0, 0
	MOVLW       51
	MOVWF       R4 
	MOVLW       51
	MOVWF       R5 
	MOVLW       179
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       205
	MOVWF       R4 
	MOVLW       204
	MOVWF       R5 
	MOVLW       76
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
;MQSensor_Functions.c,54 :: 		return _ppm = pow(10,lgPPM);                       // Calculate ppm
	MOVLW       0
	MOVWF       FARG_pow_x+0 
	MOVLW       0
	MOVWF       FARG_pow_x+1 
	MOVLW       32
	MOVWF       FARG_pow_x+2 
	MOVLW       130
	MOVWF       FARG_pow_x+3 
	MOVF        R0, 0 
	MOVWF       FARG_pow_y+0 
	MOVF        R1, 0 
	MOVWF       FARG_pow_y+1 
	MOVF        R2, 0 
	MOVWF       FARG_pow_y+2 
	MOVF        R3, 0 
	MOVWF       FARG_pow_y+3 
	CALL        _pow+0, 0
	MOVF        R0, 0 
	MOVWF       __ppm+0 
	MOVF        R1, 0 
	MOVWF       __ppm+1 
	MOVF        R2, 0 
	MOVWF       __ppm+2 
	MOVF        R3, 0 
	MOVWF       __ppm+3 
;MQSensor_Functions.c,55 :: 		}
L_end__calcLPGPPM:
	RETURN      0
; end of __calcLPGPPM

__calcAlcoholPPM:

;MQSensor_Functions.c,57 :: 		double _calcAlcoholPPM(unsigned int adc_rd, const double Vadc) {
;MQSensor_Functions.c,61 :: 		_Vrl = (double)adc_rd * Vadc;                    // For 5V Vcc use Vadc_5  and  for 3V Vcc use Vadc_33
	MOVF        FARG__calcAlcoholPPM_adc_rd+0, 0 
	MOVWF       R0 
	MOVF        FARG__calcAlcoholPPM_adc_rd+1, 0 
	MOVWF       R1 
	CALL        _word2double+0, 0
	MOVF        FARG__calcAlcoholPPM_Vadc+0, 0 
	MOVWF       R4 
	MOVF        FARG__calcAlcoholPPM_Vadc+1, 0 
	MOVWF       R5 
	MOVF        FARG__calcAlcoholPPM_Vadc+2, 0 
	MOVWF       R6 
	MOVF        FARG__calcAlcoholPPM_Vadc+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC___calcAlcoholPPM+0 
	MOVF        R1, 0 
	MOVWF       FLOC___calcAlcoholPPM+1 
	MOVF        R2, 0 
	MOVWF       FLOC___calcAlcoholPPM+2 
	MOVF        R3, 0 
	MOVWF       FLOC___calcAlcoholPPM+3 
	MOVF        FLOC___calcAlcoholPPM+0, 0 
	MOVWF       __Vrl+0 
	MOVF        FLOC___calcAlcoholPPM+1, 0 
	MOVWF       __Vrl+1 
	MOVF        FLOC___calcAlcoholPPM+2, 0 
	MOVWF       __Vrl+2 
	MOVF        FLOC___calcAlcoholPPM+3, 0 
	MOVWF       __Vrl+3 
;MQSensor_Functions.c,62 :: 		_Rs = _Rl * (5 - _Vrl)/_Vrl;                     // Calculate sensor resistance
	MOVF        FLOC___calcAlcoholPPM+0, 0 
	MOVWF       R4 
	MOVF        FLOC___calcAlcoholPPM+1, 0 
	MOVWF       R5 
	MOVF        FLOC___calcAlcoholPPM+2, 0 
	MOVWF       R6 
	MOVF        FLOC___calcAlcoholPPM+3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       32
	MOVWF       R2 
	MOVLW       129
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       64
	MOVWF       R5 
	MOVLW       28
	MOVWF       R6 
	MOVLW       139
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        FLOC___calcAlcoholPPM+0, 0 
	MOVWF       R4 
	MOVF        FLOC___calcAlcoholPPM+1, 0 
	MOVWF       R5 
	MOVF        FLOC___calcAlcoholPPM+2, 0 
	MOVWF       R6 
	MOVF        FLOC___calcAlcoholPPM+3, 0 
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       __Rs+0 
	MOVF        R1, 0 
	MOVWF       __Rs+1 
	MOVF        R2, 0 
	MOVWF       __Rs+2 
	MOVF        R3, 0 
	MOVWF       __Rs+3 
;MQSensor_Functions.c,63 :: 		_ratio = _Rs/_Rl;                                // Calculate ratio
	MOVLW       0
	MOVWF       R4 
	MOVLW       64
	MOVWF       R5 
	MOVLW       28
	MOVWF       R6 
	MOVLW       139
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       __ratio+0 
	MOVF        R1, 0 
	MOVWF       __ratio+1 
	MOVF        R2, 0 
	MOVWF       __ratio+2 
	MOVF        R3, 0 
	MOVWF       __ratio+3 
;MQSensor_Functions.c,64 :: 		lgPPM = (log10(_ratio) * -2.6)+ 2.7;             // Calculate ppm
	MOVF        R0, 0 
	MOVWF       FARG_log10_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_log10_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_log10_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_log10_x+3 
	CALL        _log10+0, 0
	MOVLW       102
	MOVWF       R4 
	MOVLW       102
	MOVWF       R5 
	MOVLW       166
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       205
	MOVWF       R4 
	MOVLW       204
	MOVWF       R5 
	MOVLW       44
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
;MQSensor_Functions.c,66 :: 		return _ppm = pow(10,lgPPM);                    // Calculate ppm
	MOVLW       0
	MOVWF       FARG_pow_x+0 
	MOVLW       0
	MOVWF       FARG_pow_x+1 
	MOVLW       32
	MOVWF       FARG_pow_x+2 
	MOVLW       130
	MOVWF       FARG_pow_x+3 
	MOVF        R0, 0 
	MOVWF       FARG_pow_y+0 
	MOVF        R1, 0 
	MOVWF       FARG_pow_y+1 
	MOVF        R2, 0 
	MOVWF       FARG_pow_y+2 
	MOVF        R3, 0 
	MOVWF       FARG_pow_y+3 
	CALL        _pow+0, 0
	MOVF        R0, 0 
	MOVWF       __ppm+0 
	MOVF        R1, 0 
	MOVWF       __ppm+1 
	MOVF        R2, 0 
	MOVWF       __ppm+2 
	MOVF        R3, 0 
	MOVWF       __ppm+3 
;MQSensor_Functions.c,67 :: 		}
L_end__calcAlcoholPPM:
	RETURN      0
; end of __calcAlcoholPPM
