#line 1 "C:/Users/micha/OneDrive/Haventechnik Share/Haventechnik Projects/Mikroe Projects/1B - 2018 Projects/MQ Library/MQSensor_Functions.c"

const double _Rl = 5000.0;
const double _Vadc_5 = 0.0048828125;
const double _Vadc_33 = 0.0032226562;
double _Vrl;
double _Rs;
double _ppm;
double _ratio;
double _SupVoltage;

unsigned int _adc_rd;
bit V_Select;

unsigned int MQ_Analog(unsigned short Channel){

 unsigned int ADCVAL;

 return ADCVAL = ADC_Read(Channel);
}

double _calcAirQualityPPM(unsigned int adc_rd, const double Vadc){

 double lgPPM;

 _Vrl = (double)adc_rd * Vadc;
 _Rs = _Rl * (5 - _Vrl)/_Vrl;
 _ratio = _Rs/_Rl;
 lgPPM = (log10(_ratio) * -0.8)+ 0.9;

 return _ppm = pow(10,lgPPM);
}

double _calcCOPPM(unsigned int adc_rd, const double Vadc){

 double lgPPM;

 _Vrl = (double)adc_rd * Vadc;
 _Rs = _Rl * (5 - _Vrl)/_Vrl;
 _ratio = _Rs/_Rl;
 lgPPM = (log10(_ratio) * -3.7)+ 0.9948;

 return _ppm = pow(10,lgPPM);
}

double _calcLPGPPM(unsigned int adc_rd, const double Vadc) {

 double lgPPM;

 _Vrl = (double)adc_rd * Vadc;
 _Rs = _Rl * (5 - _Vrl)/_Vrl;
 _ratio = _Rs/_Rl;
 lgPPM = (log10(_ratio) * -2.8)+ 3.2;

 return _ppm = pow(10,lgPPM);
}

double _calcAlcoholPPM(unsigned int adc_rd, const double Vadc) {

 double lgPPM;

 _Vrl = (double)adc_rd * Vadc;
 _Rs = _Rl * (5 - _Vrl)/_Vrl;
 _ratio = _Rs/_Rl;
 lgPPM = (log10(_ratio) * -2.6)+ 2.7;

 return _ppm = pow(10,lgPPM);
}
